Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156712 - cups queues jobs but refuses to print
Summary: cups queues jobs but refuses to print
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 15:51 UTC by Xander D Harkness
Modified: 2016-06-07 22:45 UTC (History)
3 users (show)

Fixed In Version: 2.6.9-10.EL
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-08 17:50:24 UTC


Attachments (Terms of Use)

Description Xander D Harkness 2005-05-03 15:51:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
All packages are latest versions.

The HP 970 deskjet printer is automatically detected and installed when plugged in.  CUPs will queue jobs for it but it will not print.

I can create a new printer and that will also queue jobs but not print.

Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.9.6:1

How reproducible:
Always

Steps to Reproduce:
1. Plug in printer
2. queue print job either through an application or 'lpr file'
3. lpq shows print jobs, nothing is printed
  

Actual Results:  lpq shows job listings
lprm will remove the jobs.

The jobs never print or leave the queue otherwise.

Expected Results:  The jobs would print normally

Additional info:

Comment 1 Xander D Harkness 2005-05-03 15:53:55 UTC
Errors from dmesg
drivers/usb/class/usblp.c: usblp0: error -84 reading printer status
drivers/usb/class/usblp.c: usblp0: error -71 reading printer status
drivers/usb/class/usblp.c: usblp0: error -71 reading printer status
drivers/usb/class/usblp.c: usblp0: error -71 reading printer status

Message from dmesg having plugged the printer in:
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 13 if 0 alt 0
proto 2 vid 0x03F0 pid 0x1604


Comment 2 Xander D Harkness 2005-05-03 16:29:37 UTC
/var/log/cups/error_log contents:

I [01/May/2005:10:21:51 +0100] Listening to 7f000001:631
I [01/May/2005:10:21:51 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [01/May/2005:10:21:51 +0100] Configured for up to 100 clients.
I [01/May/2005:10:21:51 +0100] Allowing up to 100 client connections per host.
I [01/May/2005:10:21:51 +0100] Full reload is required.
I [01/May/2005:10:21:51 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [01/May/2005:10:21:51 +0100] LoadPPDs: No new or changed PPDs...
I [01/May/2005:10:21:51 +0100] Full reload complete.
I [01/May/2005:22:47:03 +0100] Scheduler shutting down normally.
I [02/May/2005:08:50:46 +0100] Listening to 7f000001:631
I [02/May/2005:08:50:46 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [02/May/2005:08:50:46 +0100] Configured for up to 100 clients.
I [02/May/2005:08:50:46 +0100] Allowing up to 100 client connections per host.
I [02/May/2005:08:50:46 +0100] Full reload is required.
I [02/May/2005:08:50:48 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [02/May/2005:08:50:48 +0100] LoadPPDs: No new or changed PPDs...
I [02/May/2005:08:50:48 +0100] Full reload complete.
I [02/May/2005:22:17:27 +0100] Scheduler shutting down normally.
I [03/May/2005:08:38:45 +0100] Listening to 7f000001:631
I [03/May/2005:08:38:45 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:08:38:45 +0100] Configured for up to 100 clients.
I [03/May/2005:08:38:45 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:08:38:45 +0100] Full reload is required.
I [03/May/2005:08:38:46 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:08:38:46 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:08:38:46 +0100] Full reload complete.
I [03/May/2005:14:30:36 +0100] Listening to 7f000001:631
I [03/May/2005:14:30:36 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:30:36 +0100] Configured for up to 100 clients.
I [03/May/2005:14:30:36 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:30:36 +0100] Full reload is required.
I [03/May/2005:14:30:37 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:30:37 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:30:37 +0100] Full reload complete.
I [03/May/2005:14:34:28 +0100] Adding start banner page "none" to job 1.
I [03/May/2005:14:34:28 +0100] Adding end banner page "none" to job 1.
I [03/May/2005:14:34:28 +0100] Job 1 queued on 'deskjet-940c-2' by 'lucy'.
I [03/May/2005:14:34:28 +0100] Started filter /usr/lib/cups/filter/pstops (PID
5127) for job 1.
I [03/May/2005:14:34:28 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 5128) for job 1.
I [03/May/2005:14:34:28 +0100] Started backend /usr/lib/cups/backend/hal (PID
5129) for job 1.
I [03/May/2005:14:35:27 +0100] Adding start banner page "none" to job 2.
I [03/May/2005:14:35:27 +0100] Adding end banner page "none" to job 2.
I [03/May/2005:14:35:27 +0100] Job 2 queued on 'deskjet-940c-2' by 'lucy'.
I [03/May/2005:14:39:22 +0100] Adding start banner page "none" to job 3.
I [03/May/2005:14:39:22 +0100] Adding end banner page "none" to job 3.
I [03/May/2005:14:39:22 +0100] Job 3 queued on 'deskjet-940c-2' by 'root'.
E [03/May/2005:14:39:51 +0100] [Job 1] Unable to send print file to printer: No
such device
E [03/May/2005:14:39:51 +0100] PID 5128 stopped with status 9!
I [03/May/2005:14:39:51 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
I [03/May/2005:14:39:51 +0100] Started filter /usr/lib/cups/filter/pstops (PID
5200) for job 2.
I [03/May/2005:14:39:51 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 5201) for job 2.
I [03/May/2005:14:39:51 +0100] Started backend /usr/lib/cups/backend/hal (PID
5202) for job 2.
I [03/May/2005:14:41:16 +0100] Listening to 7f000001:631
I [03/May/2005:14:41:16 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:41:16 +0100] Configured for up to 100 clients.
I [03/May/2005:14:41:16 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:41:16 +0100] Full reload is required.
I [03/May/2005:14:41:17 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:41:17 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:41:17 +0100] Full reload complete.
E [03/May/2005:14:41:18 +0100] PID 5201 stopped with status 0!
I [03/May/2005:14:41:18 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
E [03/May/2005:14:41:18 +0100] PID 5202 stopped with status 0!
I [03/May/2005:14:41:18 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
I [03/May/2005:14:41:29 +0100] Started filter /usr/lib/cups/filter/pstops (PID
5519) for job 2.
I [03/May/2005:14:41:29 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 5520) for job 2.
I [03/May/2005:14:41:29 +0100] Started backend /usr/lib/cups/backend/hal (PID
5521) for job 2.
E [03/May/2005:14:44:45 +0100] [Job 2] Unable to send print file to printer: No
such device
E [03/May/2005:14:44:45 +0100] PID 5520 stopped with status 9!
I [03/May/2005:14:44:45 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
I [03/May/2005:14:44:46 +0100] Started filter /usr/lib/cups/filter/pstops (PID
5643) for job 3.
I [03/May/2005:14:44:46 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 5644) for job 3.
I [03/May/2005:14:44:46 +0100] Started backend /usr/lib/cups/backend/hal (PID
5645) for job 3.
I [03/May/2005:14:46:00 +0100] Listening to 7f000001:631
I [03/May/2005:14:46:00 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:46:00 +0100] Configured for up to 100 clients.
I [03/May/2005:14:46:00 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:46:00 +0100] Full reload is required.
I [03/May/2005:14:46:01 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:46:01 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:46:01 +0100] Full reload complete.
E [03/May/2005:14:46:02 +0100] PID 5644 stopped with status 0!
I [03/May/2005:14:46:02 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
E [03/May/2005:14:46:02 +0100] PID 5645 stopped with status 0!
I [03/May/2005:14:46:02 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
I [03/May/2005:14:46:13 +0100] Started filter /usr/lib/cups/filter/pstops (PID
5943) for job 3.
I [03/May/2005:14:46:13 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 5944) for job 3.
I [03/May/2005:14:46:13 +0100] Started backend /usr/lib/cups/backend/hal (PID
5945) for job 3.
I [03/May/2005:14:51:46 +0100] Listening to 7f000001:631
I [03/May/2005:14:51:46 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:51:46 +0100] Configured for up to 100 clients.
I [03/May/2005:14:51:46 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:51:46 +0100] Full reload is required.
I [03/May/2005:14:51:46 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:51:46 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:51:46 +0100] Full reload complete.
E [03/May/2005:14:51:47 +0100] PID 5944 stopped with status 0!
I [03/May/2005:14:51:47 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
I [03/May/2005:14:51:59 +0100] Started filter /usr/lib/cups/filter/pstops (PID
6019) for job 3.
I [03/May/2005:14:51:59 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 6020) for job 3.
I [03/May/2005:14:51:59 +0100] Started backend /usr/lib/cups/backend/hal (PID
6021) for job 3.
I [03/May/2005:14:53:52 +0100] Listening to 7f000001:631
I [03/May/2005:14:53:52 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:53:52 +0100] Configured for up to 100 clients.
I [03/May/2005:14:53:52 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:53:52 +0100] Full reload is required.
I [03/May/2005:14:53:53 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:53:53 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:53:53 +0100] Full reload complete.
I [03/May/2005:14:53:54 +0100] Started filter /usr/lib/cups/filter/pstops (PID
6079) for job 3.
I [03/May/2005:14:53:54 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 6080) for job 3.
I [03/May/2005:14:53:54 +0100] Started backend /usr/lib/cups/backend/hal (PID
6081) for job 3.
E [03/May/2005:14:53:54 +0100] PID 6020 stopped with status 0!
I [03/May/2005:14:53:54 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
E [03/May/2005:14:53:54 +0100] PID 6021 stopped with status 0!
I [03/May/2005:14:53:54 +0100] Hint: Try setting the LogLevel to "debug" to find
out more.
I [03/May/2005:14:55:03 +0100] Job 3 was cancelled by 'root'.
I [03/May/2005:14:55:34 +0100] Adding start banner page "none" to job 4.
I [03/May/2005:14:55:34 +0100] Adding end banner page "none" to job 4.
I [03/May/2005:14:55:34 +0100] Job 4 queued on 'deskjet-940c-2' by 'root'.
I [03/May/2005:14:55:34 +0100] Started filter /usr/lib/cups/filter/texttops (PID
6093) for job 4.
I [03/May/2005:14:55:34 +0100] Started filter /usr/lib/cups/filter/pstops (PID
6094) for job 4.
I [03/May/2005:14:55:34 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 6095) for job 4.
I [03/May/2005:14:55:34 +0100] Started backend /usr/lib/cups/backend/hal (PID
6096) for job 4.
I [03/May/2005:14:56:00 +0100] Scheduler shutting down normally.
I [03/May/2005:14:56:01 +0100] Listening to 7f000001:631
I [03/May/2005:14:56:01 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:56:01 +0100] Configured for up to 100 clients.
I [03/May/2005:14:56:01 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:56:01 +0100] Full reload is required.
I [03/May/2005:14:56:02 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:56:02 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:56:02 +0100] Full reload complete.
I [03/May/2005:14:56:02 +0100] Started filter /usr/lib/cups/filter/texttops (PID
6135) for job 4.
I [03/May/2005:14:56:02 +0100] Started filter /usr/lib/cups/filter/pstops (PID
6136) for job 4.
I [03/May/2005:14:56:02 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 6137) for job 4.
I [03/May/2005:14:56:02 +0100] Started backend /usr/lib/cups/backend/hal (PID
6138) for job 4.
I [03/May/2005:14:56:51 +0100] Job 4 was cancelled by 'root'.
I [03/May/2005:14:57:31 +0100] Listening to 7f000001:631
I [03/May/2005:14:57:31 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:57:31 +0100] Configured for up to 100 clients.
I [03/May/2005:14:57:31 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:57:31 +0100] Full reload is required.
I [03/May/2005:14:57:31 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:57:31 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:57:31 +0100] Full reload complete.
I [03/May/2005:14:57:56 +0100] Adding start banner page "none" to job 5.
I [03/May/2005:14:57:56 +0100] Adding end banner page "none" to job 5.
I [03/May/2005:14:57:56 +0100] Job 5 queued on 'printerhp' by 'root'.
I [03/May/2005:14:57:56 +0100] Started filter /usr/lib/cups/filter/texttops (PID
6199) for job 5.
I [03/May/2005:14:57:56 +0100] Started filter /usr/lib/cups/filter/pstops (PID
6200) for job 5.
I [03/May/2005:14:57:56 +0100] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 6201) for job 5.
I [03/May/2005:14:58:58 +0100] Listening to 7f000001:631
I [03/May/2005:14:58:58 +0100] Loaded configuration file "/etc/cups/cupsd.conf"
I [03/May/2005:14:58:58 +0100] Configured for up to 100 clients.
I [03/May/2005:14:58:58 +0100] Allowing up to 100 client connections per host.
I [03/May/2005:14:58:58 +0100] Full reload is required.
I [03/May/2005:14:58:58 +0100] LoadPPDs: Read "/etc/cups/ppds.dat", 15 PPDs...
I [03/May/2005:14:58:58 +0100] LoadPPDs: No new or changed PPDs...
I [03/May/2005:14:58:58 +0100] Full reload complete.


Comment 4 Tim Waugh 2005-05-05 15:02:10 UTC
The error messages are coming from the kernel.

Comment 5 Xander D Harkness 2005-05-17 23:31:30 UTC
Installed kernel-2.6.9-10.EL and this fixes the problem

Comment 6 Steve 2007-03-19 12:03:33 UTC
i have exactly the same problem here in fedora rawhide with a canon-i865 and
gutenprint drivers, but without errors. cups is accepting jobs but does not print.

gutenprint-cups-5.0.0.99.1-2.fc7
gutenprint-plugin-5.0.0.99.1-2.fc7
gutenprint-5.0.0.99.1-2.fc7

libgnomecups-0.2.2-8
cups-libs-1.2.9-1.fc7
hal-cups-utils-0.6.5-1.fc7

kernel-2.6.20-1.2997.fc7

Comment 7 Steve 2007-03-20 12:02:36 UTC
(In reply to comment #6)
> i have exactly the same problem here in fedora rawhide with a canon-i865 and
> gutenprint drivers, but without errors. cups is accepting jobs but does not print.
> 
> gutenprint-cups-5.0.0.99.1-2.fc7
> gutenprint-plugin-5.0.0.99.1-2.fc7
> gutenprint-5.0.0.99.1-2.fc7
> 
> libgnomecups-0.2.2-8
> cups-libs-1.2.9-1.fc7
> hal-cups-utils-0.6.5-1.fc7
> 
> kernel-2.6.20-1.2997.fc7

i apology, it was my failure, wrong configuration. so please forget it!


Note You need to log in before you can comment on or make changes to this bug.